/*
 * Copyright (c) 2008-2016 Haulmont.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

package com.haulmont.cuba.core.sys.jpql.tree;

import com.haulmont.cuba.core.sys.jpql.ErrorRec;
import com.haulmont.cuba.core.sys.jpql.QueryBuilder;
import org.antlr.runtime.Token;
import org.antlr.runtime.tree.CommonTree;
import org.antlr.runtime.tree.Tree;

import java.util.List;

public class BaseCustomNode extends CommonTree implements TreeToQueryCapable {
    public BaseCustomNode(Token t) {
        super(t);
    }

    @Override
    public CommonTree treeToQueryPre(QueryBuilder sb, List<ErrorRec> invalidNodes) {
        return this;
    }

    @Override
    public CommonTree treeToQueryPost(QueryBuilder sb, List<ErrorRec> invalidNodes) {
        return this;
    }

    protected CommonTree getNextNode() {
        return getChildIndex() == (getParent().getChildCount() - 1) ?
                null:
                (CommonTree) getParent().getChild(getChildIndex() + 1);
    }

    protected CommonTree getPrevNode() {
        return getChildIndex() == 0 ?
                null:
                (CommonTree) getParent().getChild(getChildIndex() - 1);
    }

    protected void dupChildren(CommonTree result) {
        for (Object child : children) {
            CommonTree t = (CommonTree) child;
            Tree copy = t.dupNode();
            result.addChild(copy);
        }
    }
}